package org.hso.texturesyncclient.view.mainView

import com.jfoenix.controls.JFXButton
import javafx.geometry.Insets
import javafx.scene.control.TextField
import javafx.scene.layout.Background
import javafx.scene.layout.BackgroundFill
import javafx.scene.layout.CornerRadii
import javafx.scene.paint.Paint
import tornadofx.*

class FolderView : View("FolderView"){

    val btn1 = JFXButton("Button 1")
    val btn2 = JFXButton("Button 2")

    override val root = flowpane {
        hgap = 5.0
        vgap = 5.0
        paddingAll = 5.0
        prefWidth = 750.0
        background = Background(BackgroundFill(Paint.valueOf("#cfcfcf"), CornerRadii.EMPTY, Insets.EMPTY))

        add(btn1)
        add(btn2)

        style {
            btn1.style = "-fx-button-type: RAISED; -fx-background-color: #3c3f41; -fx-text-fill: #2b7bbb;"
            btn2.style = "-fx-button-type: RAISED; -fx-background-color: #3c3f41; -fx-text-fill: #2b7bbb;"
        }
    }
}