package org.hso.texturesyncclient.view.mainView

import javafx.collections.ObservableList
import javafx.scene.image.Image
import tornadofx.Controller

class MainViewController : Controller() {

    private val mv = find(MainView::class)

    // FolderView elements

    // DetailView elements
    private val preview = mv.detailView.preview
    private val metaLabel = mv.detailView.metaLabel
    private val cvTags = mv.detailView.cvTags


    fun setPreview3DTexture(img: Image) {
        preview.setTexture(img)
    }

    fun setMeta(name: String, res: String, etc: String) {
        metaLabel.text = "Name: $name\nAuflösung: $res\nAnderes: $etc"
    }

    fun setTags(chips: ObservableList<String>) {
        cvTags.chips.clear()
        cvTags.chips.addAll(chips)
    }

    // update the tags for the selected element
    fun updateTags() {
        println(cvTags.chips)
    }

}